QKbdDriverFactory(3qt)

NAME
QKbdDriverFactory - Creates QWSKeyboardHandler objects

SYNOPSIS
#include <qkbddriverfactory_qws.h>

  Static Public Members

QStringList keys ()

QWSKeyboardHandler * create ( const QString & key )

DESCRIPTION
The QKbdDriverFactory class creates QWSKeyboardHandler objects.

The graphics driver factory creates a QWSKeyboardHandler object for a given key with QKbdDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QKbdDriverPlugin).

QKbdDriverFactory::keys() returns a list of valid keys.

MEMBER FUNCTION DOCUMENTATION

QWSKeyboardHandler * QKbdDriverFactory::create ( const QString & key ) [static]
Creates a QWSKeyboardHandler object that matches key. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

QStringList QKbdDriverFactory::keys () [static]
Returns the list of keys this factory can create drivers for.

See also create().

SEE ALSO
http://doc.trolltech.com/qkbddriverfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qkbddriverfactory.3qt) and the Qt version (3.1.0-b1).